Bug 71779 - missing 'diet' BuildRequire on new mkinitrd 3.4.23
missing 'diet' BuildRequire on new mkinitrd 3.4.23
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-18 18:54 EDT by R P Herrold
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-18 18:59:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-08-18 18:54:22 EDT
+ cd mkinitrd-3.4.23
+ make
for n in nash grubby ; do make -C $n; done
make[1]: Entering directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/nash'
diet cc -Wall -DVERSION=\"3.4.23\" -g   -c -o nash.o nash.c
make[1]: diet: Command not found
make[1]: *** [nash.o] Error 127
make[1]: Leaving directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/nash'
make[1]: Entering directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/grubby'
cc -Wall -g -O2 -march=i386 -mcpu=i686 -DVERSION=\"3.4.23\"   -c -o grubby.o
grubby.c
grubby.c: In function `addNewKernel':
grubby.c:1575: warning: `newLine' might be used uninitialized in this function
cc -Wall -g -O2 -march=i386 -mcpu=i686 -DVERSION=\"3.4.23\"   -c -o
mount_by_label.o mount_by_label.c
mount_by_label.c: In function `uuidcache_init':
mount_by_label.c:169: warning: `deviceDir' might be used uninitialized in this
function
cc -g  grubby.o mount_by_label.o /usr/lib/libpopt.a  -o grubby
make[1]: Leaving directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/grubby'
+ make test
for n in nash grubby ; do make -C $n; done
make[1]: Entering directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/nash'
diet cc -Wall -DVERSION=\"3.4.23\" -g   -c -o nash.o nash.c
make[1]: diet: Command not found
make[1]: *** [nash.o] Error 127
make[1]: Leaving directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/nash'
make[1]: Entering directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/grubby'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/grubby'
cd grubby; make test
make[1]: Entering directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/grubby'
Parse/write comparison...
Permission preservation...
GRUB default directive...
LILO default directive...
GRUB fallback directive...
GRUB new kernel argument handling...
GRUB remove directive...
GRUB update kernel argument handling...
LILO update kernel argument handling...
LILO add kernel...
GRUB add kernel...
make[1]: Leaving directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/grubby'
+ '[' 0 '!=' 0 ']'
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.72784
+ umask 022
+ cd /home/herrold/redhat/BUILD
+ cd mkinitrd-3.4.23
+ rm -rf /var/tmp/mkinitrd-root
+ make BUILDROOT=/var/tmp/mkinitrd-root mandir=/usr/share/man install
for n in nash grubby ; do make -C $n install BUILDROOT=/var/tmp/mkinitrd-root;
done
make[1]: Entering directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/nash'
mkdir -p /var/tmp/mkinitrd-root/sbin
mkdir -p /var/tmp/mkinitrd-root//usr/share/man/man8
install -m 755 -s nash /var/tmp/mkinitrd-root/sbin
install: cannot stat `nash': No such file or directory
make[1]: *** [install] Error 1
make[1]: Leaving directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/nash'
make[1]: Entering directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/grubby'
mkdir -p /var/tmp/mkinitrd-root/sbin
mkdir -p /var/tmp/mkinitrd-root/usr/share/man/man8
install -m 755 -s grubby /var/tmp/mkinitrd-root/sbin
install -m 755 new-kernel-pkg /var/tmp/mkinitrd-root/sbin
install -m 644 grubby.8 /var/tmp/mkinitrd-root/usr/share/man/man8
make[1]: Leaving directory `/home/herrold/redhat/BUILD/mkinitrd-3.4.23/grubby'
for i in sbin /usr/share/man/man8; do \
        if [ ! -d /var/tmp/mkinitrd-root/$i ]; then \
                mkdir -p /var/tmp/mkinitrd-root/$i; \
        fi; \
done
sed 's/%VERSIONTAG%/3.4.23/' < mkinitrd > /var/tmp/mkinitrd-root/sbin/mkinitrd
install -m755 installkernel /var/tmp/mkinitrd-root/sbin/installkernel
chmod 755 /var/tmp/mkinitrd-root/sbin/mkinitrd
install -m644 mkinitrd.8 /var/tmp/mkinitrd-root//usr/share/man/man8/mkinitrd.8
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip
+ /usr/lib/rpm/brp-strip-comment-note
Processing files: mkinitrd-3.4.23-1
error: File not found: /var/tmp/mkinitrd-root/sbin/nash
error: File not found by glob: /var/tmp/mkinitrd-root/usr/share/man/man8/nash.8*
PreReq: dev
Requires: e2fsprogs /bin/sh fileutils grep mount gzip tar /sbin/insmod.static
/sbin/losetup mktemp >= 1.5-5 findutils lvm filesystem >= 2.1.0


RPM build errors:
    File not found: /var/tmp/mkinitrd-root/sbin/nash
    File not found by glob: /var/tmp/mkinitrd-root/usr/share/man/man8/nash.8*
bash-2.05a$
Comment 1 R P Herrold 2002-08-18 18:59:11 EDT
No worries about the dietlibc requirement, but in back porting, buildrequires
provide much needed hints to reduce support load _and_ remove porter confusion
with RPM.

(akkk -- later mkinitird install dependency jsut surfaced in 'lvm')
Comment 2 Erik Troan 2002-11-05 16:51:28 EST
we can't buildrequire things that are only need on selected architectures --
this is an RPM limitation

Note You need to log in before you can comment on or make changes to this bug.